public class LinkedList
{
   private Node head;
   private int count;

   /**
   *  default constructor, sets head to null, count to 0
   */

   public LinkedList()
   {
      head = null;
      count = 0;
   }

   /**
   *  returns the number of elements in the list
   *
   *  @return int the value of count
   */

   public int size()
   {
      return count;
   }

   /**
   *  does the list have any values?
   *
   *  @return boolean if list is empty
   */

   public boolean isEmpty()
   {
      return head == null;
   }

   /**
   *  insets a node at the beginning of the list
   *
   *  @param Object o the object to be inserted
   */

   public void addFirst(Node node)
   {
      node.setNext(head);
      head = node;
      count++;
   }

   /**
   *  Sorts the list from least to greatest using comareTo()
   *
   *  TO BE IMPLEMENTED BY THE STUDENT
   *
   *
   */
   public void sort()
   {
   }


   /**
   *  Returns a string representation
   *
   *  @return String
   */
   public String toString()
   {
      String result = "";

      for (Node tmp = head; tmp != null; tmp = tmp.getNext())
      {
         result += tmp.toString() + System.getProperty("line.separator");
      }

      return result;
   }

}
