/************************************************

              Class PlayersDB
A class that models the Player scores of a golf tournament. Implemented with
a LinkedList of objects of another class called Player.


15-111/200
Name:
Section:
Date:
andrew e-mail:

*************************************************/

import java.io.*;
import java.util.*;

public class PlayersDB
{
   private static LinkedList list;
   private static int theCut;

   public static void main (String[] args)
   {
      list = new LinkedList();

      
      	buildList();

      // displays every player and score in the tournament

      System.out.println();
      System.out.println();
      System.out.println("The players in the tournament: ");

      System.out.println(list);

      // Print players, ordered from lowest to highest, by score.
      System.out.println();
      System.out.println("Players in the tournament by score (lowest to highest): ");


// TO THE STUDENT: THE FOLLOWING LINE OF CODE INVOKES YOUR METHOD
      list.sort();


      System.out.println(list);
   }

   public static void buildList ()
   {

  	  try {
	  	  BufferedReader in = new BufferedReader(new InputStreamReader(System.in));
	      System.out.print("Enter the name of the file: ");
	      String fileName = in.readLine();

	      // opens the file
		  BufferedReader infile = new BufferedReader(new FileReader(fileName));

	      // reads the cut value from the first line of the file
	            
	      String oneLine = infile.readLine();
	      theCut = Integer.parseInt(oneLine);
	      
	      // builds the list of players
	      while((oneLine = infile.readLine()) != null)
	      {
	         StringTokenizer st = new  StringTokenizer(oneLine);

	         String last = st.nextToken();
	         String first = st.nextToken();
	         int r1 = Integer.parseInt(st.nextToken());
	         int r2 = Integer.parseInt(st.nextToken());
	         list.addFirst(new Node(new Player(first, last, r1, r2)));
	      }
	      
      } catch (IOException e) {
      
      	System.out.println(e);
      	System.exit(-1);
      }
	}
	
}
